--- main/manager.c.orig	2017-10-04 08:00:55.121190312 +0200
+++ main/manager.c	2017-10-04 08:53:58.969191522 +0200
@@ -5003,7 +5003,7 @@
 static int action_command(struct mansession *s, const struct message *m)
 {
 	const char *cmd = astman_get_header(m, "Command");
-	char *buf = NULL, *final_buf = NULL, *delim, *output;
+	char *buf = NULL, *final_buf = NULL;
 	char template[] = "/tmp/ast-ami-XXXXXX";	/* template for temporary file */
 	int fd, ret;
 	off_t len;
@@ -5054,24 +5054,14 @@
 	buf[len] = '\0';
 	term_strip(final_buf, buf, len);
 	final_buf[len] = '\0';
-
-	/* Trim trailing newline */
-	if (len && final_buf[len - 1] == '\n') {
-		final_buf[len - 1] = '\0';
-	}
-
-	astman_append(s, "Message: Command output follows\r\n");
-
-	delim = final_buf;
-	while ((output = strsep(&delim, "\n"))) {
-		astman_append(s, "Output: %s\r\n", output);
-	}
+	astman_append(s, "%s", final_buf);
 
 action_command_cleanup:
 	astman_append(s, "\r\n");
 
 	close(fd);
 	unlink(template);
+	astman_append(s, "--END COMMAND--\r\n\r\n");
 
 	ast_free(buf);
 	ast_free(final_buf);
